> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate Purchase Limits

> Evaluate the purchase limits for given products and customer.



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json post /commerce/rules/purchaselimit/evaluate
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/rules/purchaselimit/evaluate:
    post:
      tags:
        - Rules
      summary: Evaluate Purchase Limits
      description: Evaluate the purchase limits for given products and customer.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PurchaseLimitEvalRequest'
        description: The request containing the products and customer to evaluate
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseLimitEvalResponseCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/PurchaseLimitEvalResponseCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/PurchaseLimitEvalResponseCollection'
          description: OK
components:
  schemas:
    PurchaseLimitEvalRequest:
      description: Request parameters for evaluating purchase limit
      properties:
        customerId:
          description: Customer ID
          format: int32
          type: integer
        items:
          description: List of items to evaluate
          items:
            $ref: '#/components/schemas/PurchaseLimitEvalRequestItems'
          nullable: true
          type: array
      required:
        - customerId
        - items
      type: object
    PurchaseLimitEvalResponseCollection:
      description: Collection of purchase limit evaluation response items
      properties:
        items:
          items:
            $ref: '#/components/schemas/PurchaseLimitEvalResponseItem'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    PurchaseLimitEvalRequestItems:
      description: Items for purchase limit rule evaluation request
      properties:
        productCode:
          description: Product code for evaluation
          nullable: true
          type: string
        variationProductCode:
          description: Variation product code for evaluation
          nullable: true
          type: string
      type: object
    PurchaseLimitEvalResponseItem:
      description: Purchase limit evaluation response item
      properties:
        maxQty:
          description: Maximum quantity of the product that can be purchased
          format: int32
          nullable: true
          type: integer
        productCode:
          description: Product code evaluated for purchase limit
          nullable: true
          type: string
        ruleCode:
          description: Rule code that affected the purchase limit for the product
          nullable: true
          type: string
        variationProductCode:
          description: Variation product code evaluated for purchase limit
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````